aboutsummaryrefslogtreecommitdiffstats
path: root/coin/provisioning
diff options
context:
space:
mode:
Diffstat (limited to 'coin/provisioning')
-rw-r--r--coin/provisioning/common/cmake.ps110
-rw-r--r--coin/provisioning/common/conan.ps133
-rw-r--r--coin/provisioning/common/patch_qnx.ps151
-rw-r--r--coin/provisioning/common/ruby.ps17
-rw-r--r--coin/provisioning/qtci-linux-RHEL-6.6-x86_64/android_sdk_linux.sh4
-rw-r--r--coin/provisioning/qtci-linux-RHEL-6.6-x86_64/patch_qnx.sh64
-rw-r--r--coin/provisioning/qtci-linux-Ubuntu-14.04-x86_64/freeopcua.sh49
-rw-r--r--coin/provisioning/qtci-windows-10-x86/cmake.ps11
-rw-r--r--coin/provisioning/qtci-windows-10-x86/conan.ps18
-rw-r--r--coin/provisioning/qtci-windows-10-x86/conanfiles/qtwebkit.txt20
-rw-r--r--coin/provisioning/qtci-windows-10-x86/ruby.ps11
-rw-r--r--coin/provisioning/qtci-windows-10-x86_64/cmake.ps11
-rw-r--r--coin/provisioning/qtci-windows-10-x86_64/conan.ps18
-rw-r--r--coin/provisioning/qtci-windows-10-x86_64/conanfiles/qtwebkit.txt20
-rw-r--r--coin/provisioning/qtci-windows-10-x86_64/ruby.ps11
-rw-r--r--coin/provisioning/qtci-windows-7-x86/patch_qnx.ps11
16 files changed, 275 insertions, 4 deletions
diff --git a/coin/provisioning/common/cmake.ps1 b/coin/provisioning/common/cmake.ps1
new file mode 100644
index 00000000..6870f3a7
--- /dev/null
+++ b/coin/provisioning/common/cmake.ps1
@@ -0,0 +1,10 @@
+. "$PSScriptRoot\helpers.ps1"
+
+$zip = "c:\users\qt\downloads\cmake-3.6.2-win32-x86.zip"
+
+Download https://cmake.org/files/v3.6/cmake-3.6.2-win32-x86.zip http://ci-files01-hki.ci.local/input/cmake/cmake-3.6.2-win32-x86.zip $zip
+Verify-Checksum $zip "541F6E7EFD228E46770B8631FFE57097576E4D4E"
+
+Extract-Zip $zip C:
+Remove-Item C:\CMake -Force -Recurse
+Rename-Item C:\cmake-3.6.2-win32-x86 C:\CMake
diff --git a/coin/provisioning/common/conan.ps1 b/coin/provisioning/common/conan.ps1
new file mode 100644
index 00000000..6d7cf07b
--- /dev/null
+++ b/coin/provisioning/common/conan.ps1
@@ -0,0 +1,33 @@
+. "$PSScriptRoot\helpers.ps1"
+
+$installer = "c:\users\qt\downloads\conan-win_0_12_0.exe"
+
+Download https://s3-eu-west-1.amazonaws.com/conanio-production/downloads/conan-win_0_12_0.exe http://ci-files01-hki.ci.local/input/conan/conan-win_0_12_0.exe $installer
+Verify-Checksum $installer "719F30E6EED03149D75CDB28F80A7B873B43FF51"
+& $installer /DIR=C:\Utils\Conan /VERYSILENT
+
+[Environment]::SetEnvironmentVariable("CI_CONAN_BUILDINFO_DIR", "C:\Utils\conanbuildinfos", "Machine")
+
+function Run-Conan-Install
+{
+ Param (
+ [string]$ConanfilesDir,
+ [string]$BuildinfoDir,
+ [string]$Arch,
+ [string]$Compiler,
+ [string]$CompilerVersion
+ )
+
+ Get-ChildItem -Path "$ConanfilesDir\*.txt" |
+ ForEach-Object {
+ $outpwd = "C:\Utils\conanbuildinfos\$($BuildinfoDir)\$($_.BaseName)"
+ New-Item $outpwd -Type directory -Force
+ Start-Process `
+ "C:\Utils\Conan\conan\conan.exe" `
+ -WorkingDirectory $outpwd `
+ -ArgumentList "install -i -f $($_.FullName)", `
+ '-s', ('compiler="' + $Compiler + '"'), `
+ "-s os=Windows -s arch=$($Arch) -s compiler.version=$($CompilerVersion)" `
+ -NoNewWindow -Wait
+ }
+}
diff --git a/coin/provisioning/common/patch_qnx.ps1 b/coin/provisioning/common/patch_qnx.ps1
new file mode 100644
index 00000000..2fca7b67
--- /dev/null
+++ b/coin/provisioning/common/patch_qnx.ps1
@@ -0,0 +1,51 @@
+#############################################################################
+##
+## Copyright (C) 2016 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the test suite of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+# Patch QNX SDK due to issues in the standard library.
+# The patches are available here:
+# http://www.qnx.com/download/feature.html?programid=27555
+# A copy of the patch must be in the root of the Coin path in
+# provisioning/qnx/patch-660-4367-RS6069_cpp-headers.zip
+
+
+. "$PSScriptRoot\helpers.ps1"
+
+$zip = "c:\users\qt\downloads\patch-660-4367-RS6069_cpp-headers.zip"
+$sha1 = "57A11FFE4434AD567B3C36F7B828DBB468A9E565"
+$tempDir = "C:\temp\qnx_path"
+
+Invoke-WebRequest -UseBasicParsing http://${Env:COIN_WEBSERVER_ADDRESS}/coin/provisioning/qnx/patch-660-4367-RS6069_cpp-headers.zip -OutFile $zip
+Verify-Checksum $zip $sha1
+Extract-Zip $zip $tempDir
+Copy-Item $tempDir\patches\660-4367\target\* C:\qnx660\target\ -recurse -force
+Remove-Item $tempDir -recurse
diff --git a/coin/provisioning/common/ruby.ps1 b/coin/provisioning/common/ruby.ps1
new file mode 100644
index 00000000..343bacfc
--- /dev/null
+++ b/coin/provisioning/common/ruby.ps1
@@ -0,0 +1,7 @@
+. "$PSScriptRoot\helpers.ps1"
+
+$installer = "c:\users\qt\downloads\rubyinstaller-2.3.1.exe"
+
+Download https://dl.bintray.com/oneclick/rubyinstaller/rubyinstaller-2.3.1.exe http://ci-files01-hki.ci.local/input/ruby/rubyinstaller-2.3.1.exe $installer
+Verify-Checksum $installer "FF377F6F313849C3B0CD72EEC1EFFA436F0E4A36"
+& $installer /DIR=C:\ruby /VERYSILENT
diff --git a/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/android_sdk_linux.sh b/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/android_sdk_linux.sh
index 81132d9b..7f1cf05b 100644
--- a/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/android_sdk_linux.sh
+++ b/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/android_sdk_linux.sh
@@ -99,7 +99,3 @@ InstallAndroidPackage $targetFolder $ndkVersion $ndkUrl $ndkSha1 $ndkTargetFile
echo "Running Android SDK update for API version 18, SDK-tools, platform-tools and build-tools-$sdkBuildToolsVersion..."
echo "y" |$targetFolder/sdk/tools/android update sdk --no-ui --all --filter $sdkApiLevel,tools,platform-tools,build-tools-$sdkBuildToolsVersion || echo "Failed to run update"
-# For Qt 5.6, we by default require API levels 10, 11, 16 and 18, but we can override this by setting ANDROID_API_VERSION=android-18
-# From Qt 5.7 forward, if android-16 is not installed, Qt will automatically use more recent one.
-echo 'export ANDROID_API_VERSION=android-18' >> ~/.bashrc
-
diff --git a/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/patch_qnx.sh b/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/patch_qnx.sh
new file mode 100644
index 00000000..19993ecc
--- /dev/null
+++ b/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/patch_qnx.sh
@@ -0,0 +1,64 @@
+#!/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2016 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the test suite of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+# Patch QNX SDK due to issues in the standard library.
+# The patches are available here:
+# http://www.qnx.com/download/feature.html?programid=27555
+# A copy of the patch must be in the root of the Coin path in
+# provisioning/qnx/patch-660-4367-RS6069_cpp-headers.zip
+
+set -e
+sha1="57a11ffe4434ad567b3c36f7b828dbb468a9e565"
+
+function InstallZipPackageFromURL {
+ url=$1
+ expectedSha1=$2
+ targetDirectory=$3
+
+ targetFile=`mktemp` || echo "Failed to create temporary file"
+ wget --tries=5 --waitretry=5 --output-document=$targetFile $url || echo "Failed to download '$url' multiple times"
+ echo "$expectedSha1 $targetFile" | sha1sum --check || echo "Failed to check sha1sum"
+
+ tempDir=`mktemp -d` || echo "Failed to create temporary directory"
+ /usr/bin/unzip -o -d $tempDir $targetFile || echo "Failed to unzip $url archive"
+ trap "sudo rm -fr $targetFile $tempDir" EXIT
+
+ sudo cp -rafv $tempDir/patches/660-4367/target/* /opt/qnx660/target/
+}
+
+echo "Patching QNX"
+
+baseBinaryPackageURL="http://${COIN_WEBSERVER_ADDRESS}/coin/provisioning/qnx/patch-660-4367-RS6069_cpp-headers.zip"
+InstallZipPackageFromURL $baseBinaryPackageURL $sha1 "/opt/qnx660/target/"
diff --git a/coin/provisioning/qtci-linux-Ubuntu-14.04-x86_64/freeopcua.sh b/coin/provisioning/qtci-linux-Ubuntu-14.04-x86_64/freeopcua.sh
new file mode 100644
index 00000000..b14e94a6
--- /dev/null
+++ b/coin/provisioning/qtci-linux-Ubuntu-14.04-x86_64/freeopcua.sh
@@ -0,0 +1,49 @@
+#!/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2016 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the test suite of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+sudo apt-get update
+sudo apt-get install -y libboost-dev libboost-thread-dev libboost-system-dev libboost-program-options-dev libboost-filesystem-dev libxml2-dev libboost-regex-dev
+
+TEMPDIR=$(mktemp --directory) || echo "Failed to create temporary directory"
+trap "sudo rm -fr $TEMPDIR" EXIT
+cd $TEMPDIR
+git clone https://github.com/FreeOpcUa/freeopcua.git freeopcua
+cd freeopcua
+git checkout 57b6993d39b6761af773fa4fa37c3fbd39c764f1
+mkdir build
+cd build
+cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr/local ..
+make
+sudo make install
diff --git a/coin/provisioning/qtci-windows-10-x86/cmake.ps1 b/coin/provisioning/qtci-windows-10-x86/cmake.ps1
new file mode 100644
index 00000000..8dbe0372
--- /dev/null
+++ b/coin/provisioning/qtci-windows-10-x86/cmake.ps1
@@ -0,0 +1 @@
+. "$PSScriptRoot\..\common\cmake.ps1"
diff --git a/coin/provisioning/qtci-windows-10-x86/conan.ps1 b/coin/provisioning/qtci-windows-10-x86/conan.ps1
new file mode 100644
index 00000000..718d25de
--- /dev/null
+++ b/coin/provisioning/qtci-windows-10-x86/conan.ps1
@@ -0,0 +1,8 @@
+. "$PSScriptRoot\..\common\conan.ps1"
+
+Run-Conan-Install `
+ -ConanfilesDir "$PSScriptRoot\conanfiles" `
+ -BuildinfoDir MSVC2015-x86 `
+ -Arch x86 `
+ -Compiler "Visual Studio" `
+ -CompilerVersion 14
diff --git a/coin/provisioning/qtci-windows-10-x86/conanfiles/qtwebkit.txt b/coin/provisioning/qtci-windows-10-x86/conanfiles/qtwebkit.txt
new file mode 100644
index 00000000..d1fcbfba
--- /dev/null
+++ b/coin/provisioning/qtci-windows-10-x86/conanfiles/qtwebkit.txt
@@ -0,0 +1,20 @@
+[requires]
+cmake_installer/0.1@lasote/testing
+icu/57.1@Vitallium/stable
+libxml2-qt/2.9.4@Vitallium/stable
+libxslt-qt/1.1.29@Vitallium/stable
+
+[generators]
+cmake
+virtualenv
+
+[options]
+cmake_installer:version=3.5.2
+icu:shared=True
+libxml2-qt:shared=False
+libxslt-qt:shared=False
+
+[imports]
+bin, icudt57.dll -> ./bin
+bin, icuin57.dll -> ./bin
+bin, icuuc57.dll -> ./bin
diff --git a/coin/provisioning/qtci-windows-10-x86/ruby.ps1 b/coin/provisioning/qtci-windows-10-x86/ruby.ps1
new file mode 100644
index 00000000..587a4c10
--- /dev/null
+++ b/coin/provisioning/qtci-windows-10-x86/ruby.ps1
@@ -0,0 +1 @@
+. "$PSScriptRoot\..\common\ruby.ps1"
diff --git a/coin/provisioning/qtci-windows-10-x86_64/cmake.ps1 b/coin/provisioning/qtci-windows-10-x86_64/cmake.ps1
new file mode 100644
index 00000000..8dbe0372
--- /dev/null
+++ b/coin/provisioning/qtci-windows-10-x86_64/cmake.ps1
@@ -0,0 +1 @@
+. "$PSScriptRoot\..\common\cmake.ps1"
diff --git a/coin/provisioning/qtci-windows-10-x86_64/conan.ps1 b/coin/provisioning/qtci-windows-10-x86_64/conan.ps1
new file mode 100644
index 00000000..04887712
--- /dev/null
+++ b/coin/provisioning/qtci-windows-10-x86_64/conan.ps1
@@ -0,0 +1,8 @@
+. "$PSScriptRoot\..\common\conan.ps1"
+
+Run-Conan-Install `
+ -ConanfilesDir "$PSScriptRoot\conanfiles" `
+ -BuildinfoDir MSVC2015-x86_64 `
+ -Arch x86_64 `
+ -Compiler "Visual Studio" `
+ -CompilerVersion 14
diff --git a/coin/provisioning/qtci-windows-10-x86_64/conanfiles/qtwebkit.txt b/coin/provisioning/qtci-windows-10-x86_64/conanfiles/qtwebkit.txt
new file mode 100644
index 00000000..d1fcbfba
--- /dev/null
+++ b/coin/provisioning/qtci-windows-10-x86_64/conanfiles/qtwebkit.txt
@@ -0,0 +1,20 @@
+[requires]
+cmake_installer/0.1@lasote/testing
+icu/57.1@Vitallium/stable
+libxml2-qt/2.9.4@Vitallium/stable
+libxslt-qt/1.1.29@Vitallium/stable
+
+[generators]
+cmake
+virtualenv
+
+[options]
+cmake_installer:version=3.5.2
+icu:shared=True
+libxml2-qt:shared=False
+libxslt-qt:shared=False
+
+[imports]
+bin, icudt57.dll -> ./bin
+bin, icuin57.dll -> ./bin
+bin, icuuc57.dll -> ./bin
diff --git a/coin/provisioning/qtci-windows-10-x86_64/ruby.ps1 b/coin/provisioning/qtci-windows-10-x86_64/ruby.ps1
new file mode 100644
index 00000000..587a4c10
--- /dev/null
+++ b/coin/provisioning/qtci-windows-10-x86_64/ruby.ps1
@@ -0,0 +1 @@
+. "$PSScriptRoot\..\common\ruby.ps1"
diff --git a/coin/provisioning/qtci-windows-7-x86/patch_qnx.ps1 b/coin/provisioning/qtci-windows-7-x86/patch_qnx.ps1
new file mode 100644
index 00000000..41210dcb
--- /dev/null
+++ b/coin/provisioning/qtci-windows-7-x86/patch_qnx.ps1
@@ -0,0 +1 @@
+. "$PSScriptRoot\..\common\patch_qnx.ps1"